// DialogClass.cpp : R\[ AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"
#include "resource.h"
#include "MainDialog.h"
#include "misc.h"

TCHAR szTitle[MAX_LOADSTRING];					// ^Cg o[̃eLXg
HINSTANCE hInst;
HWND hMainWnd;
BOOL bOptAuto = FALSE;
BOOL bOptDelete = FALSE;
BOOL bOptExit = FALSE;
BOOL bOptWarn = FALSE;

void ParseCommandLine(void)
{
	if ( __argc == 1 ) return;

	TCHAR **argv;
#ifdef _UNICODE
	argv = __wargv;
#else
	argv = __argv;
#endif

	for ( int c = 1; c < __argc; c++ ) {
		if ( ( argv[c][0] == _T('/') ) || ( argv[c][1] == _T('-') ) ) {
			switch( argv[c][1] )
			{
			case _T('a'):
			case _T('A'):
				bOptAuto = TRUE;
				break;
			case _T('d'):
			case _T('D'):
				bOptDelete = TRUE;
				break;
			case _T('q'):
			case _T('Q'):
				bOptExit = TRUE;
				break;
			case _T('w'):
			case _T('W'):
				bOptWarn = TRUE;
				break;
			}
		}
	}
}

int APIENTRY _tWinMain(HINSTANCE hInstance,
					 HINSTANCE hPrevInstance,
					 LPTSTR    lpCmdLine,
					 int	   nCmdShow)
{
	INITCOMMONCONTROLSEX icx;
	icx.dwSize = sizeof(icx);
	icx.dwICC = ICC_LISTVIEW_CLASSES;
	InitCommonControlsEx( &icx );

	LoadString(hInstance, IDS_APP_TITLE, szTitle, MAX_LOADSTRING);
	hInst = hInstance;

	if ( IsWow64() ) {
		TCHAR path[_MAX_PATH];
		if ( ( !MakeAnotherProcessName( path, _countof(path) ) ) || ( !LaunchApp( path, lpCmdLine ) ) ) {
			MessageBoxWithString( NULL, IDS_ERR_WOW64, MB_OK | MB_ICONEXCLAMATION );
		}
		return 0;
	}

	ParseCommandLine();

	MainDialog dlg(IDD_ANTIDEVICE_DIALOG);
	if ( dlg.DoModeless( NULL, nCmdShow ) ) {
		dlg.RunMsgLoop();
	}
	return 0;
}

