#ifndef _MISC_H_
#define _MISC_H_

#include <shellapi.h>
#include "MessageBox.h"

#define MAX_LOADSTRING 100

typedef enum _SIMPLE_OSVERSION {
	OS_UNKNOWN,
	OS_OLD,
	OS_9X,
	OS_NT4,
	OS_2000,
	OS_XP,
	OS_S2003,
	OS_VISTA,
	OS_S2008,
	OS_7,
	OS_S2008R2,
	OS_NEWER,
} SIMPLE_OSVERSION;

extern HINSTANCE hInst;								// ݂̃C^[tFCX
extern HWND hMainWnd;
extern TCHAR szTitle[MAX_LOADSTRING];					// ^Cg o[̃eLXg

extern BOOL bOptAuto, bOptDelete, bOptExit, bOptWarn;


SIMPLE_OSVERSION GetSimpleOSVersion( void );
int MessageBoxWithString( HWND hWnd, UINT uID, UINT nType, DWORD dwErr = 0 );
int MessageBoxWithString2(HWND hWnd, UINT uID, DWORD dwErr = 0);
BOOL MakeAnotherProcessName( TCHAR *path, int len );
BOOL LaunchApp( TCHAR *path, TCHAR *param = NULL, BOOL noui = TRUE );
BOOL IsWow64();
BOOL Isx86();

#endif//_MISC_H_
